
Figure - Bug #113459
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.settings（2）
2022-11-01 14:23 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-22

Test Type: Monkey Test Root cause: 因 Settings 页面左右布局调整导致 Toolbar 丢失，二级页面的 OptionMenu 没有正常初始化导致为空，造成后续操作的异常。

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 06:12:06.233 15807 15807 D AndroidRuntime: Shutting down VM

10-28 06:12:06.234 15807 15807 E AndroidRuntime: FATAL EXCEPTION: main

10-28 06:12:06.234 15807 15807 E AndroidRuntime: Process: com.android.settings, PID: 15807

10-28 06:12:06.234 15807 15807 E AndroidRuntime: java.lang.NullPointerException: Attempt to invoke interface method

'android.view.MenuItem android.view.MenuItem.setVisible(boolean)' on a null object reference

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

com.android.settings.applications.manageapplications.ManageApplications.updateOptionsMenu(ManageApplications.java:746)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

com.android.settings.applications.manageapplications.ManageApplications.updateView(ManageApplications.java:853)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

com.android.settings.applications.manageapplications.ManageApplications.onStart(ManageApplications.java:528)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at androidx.fragment.app.Fragment.performStart(Fragment.java:3011)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at androidx.fragment.app.FragmentStateManager.start(FragmentStateManager.java:565)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:276)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

androidx.fragment.app.FragmentStore.moveToExpectedState(FragmentStore.java:112)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.moveToState(FragmentManager.java:1667)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

androidx.fragment.app.FragmentManager.dispatchStateChange(FragmentManager.java:3234)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.dispatchStart(FragmentManager.java:3185)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

androidx.fragment.app.FragmentController.dispatchStart(FragmentController.java:262)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at androidx.fragment.app.FragmentActivity.onStart(FragmentActivity.java:482)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1456)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.app.Activity.performStart(Activity.java:8095)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.app.ActivityThread.handleStartActivity(ActivityThread.java:3661)
10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.performLifecycleSequence(TransactionExecutor.java:221)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:201)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:183)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:132)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at

com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-28 06:12:06.234 15807 15807 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

History

#1 - 2022-11-01 16:03 - CD Test赵飞

- Test Type changed from ST to Monkey Test

日志见Bug #113456 附件

#2 - 2022-11-02 10:14 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD AF-陈羽杰

#3 - 2022-11-16 19:43 - CDTS-TEST 周婷

- Due date deleted (2022-11-08)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-11-21 15:59 - CD FW-廖涛

- Assignee changed from CD AF-陈羽杰 to CD FW-廖涛

- % Done changed from 0 to 20

#5 - 2022-11-22 11:27 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 20 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

- Root cause set to 因 Settings 页面左右布局调整导致 Toolbar 丢失，二级页面的 OptionMenu 没有正常初始化导致为空，造成后续操作的异常。
■ Current conclusion

已解决，提交：https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/164338

■ My analysis

因 Settings 页面左右布局调整导致 Toolbar 丢失，二级页面的 OptionMenu 没有正常初始化导致为空，造成后续操作的异常。

已恢复 Toolbar 及相关 OptionMenu 功能。

■ Next action

测试验证

#6 - 2022-11-24 20:46 - CD Test赵飞

- % Done changed from 100 to 70

11月23号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#7 - 2022-11-25 11:45 - CD Test赵飞

11月24号Release版本未复现此问题

Monkey问题，继续跟踪1个版本

#8 - 2022-11-28 10:41 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月25号版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#9 - 2022-11-28 10:41 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#10 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164338 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix Settings toolbar function.TC-RID: 1201-0201813IssueID: TS-R-BUG-113459Change-Id: I260e861e494f4a8acfb27841f9aa546b9a363997
